package com.mx.dla.dda.contrato.common.daos;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.mx.dla.dda.contrato.common.dtos.JustificacionDTO;

public interface JustificacionDAO {
	
	void insertarJustificacion(JustificacionDTO justificacion);
	
	void borrarJustificacion(@Param("idJustificacion") Long idJustificacion);
	
	List<JustificacionDTO> buscarJustificaciones(@Param("idContrato") Long idContrato);

}
